import * as t from "io-ts";
export declare const Location: t.TypeC<{
    id: t.StringC;
    has_public_page: t.BooleanC;
    name: t.StringC;
    slug: t.StringC;
    address_json: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
}>;
export declare const PostNodeOwner: t.TypeC<{
    id: t.StringC;
}>;
export declare const CommentNodeOwner: t.TypeC<{
    id: t.StringC;
    is_verified: t.BooleanC;
    profile_pic_url: t.StringC;
    username: t.StringC;
}>;
export declare const ShortcodeMediaOwner: t.TypeC<{
    id: t.StringC;
    is_verified: t.BooleanC;
    profile_pic_url: t.StringC;
    username: t.StringC;
    blocked_by_viewer: t.BooleanC;
    followed_by_viewer: t.BooleanC;
    full_name: t.StringC;
    has_blocked_viewer: t.BooleanC;
    is_private: t.BooleanC;
    is_unpublished: t.BooleanC;
    requested_by_viewer: t.BooleanC;
}>;
export declare const PageInfo: t.TypeC<{
    has_next_page: t.BooleanC;
    end_cursor: t.UnionC<[t.StringC, t.NullC]>;
}>;
export declare const Dimensions: t.TypeC<{
    height: t.NumberC;
    width: t.NumberC;
}>;
export declare const DisplayResources: t.ArrayC<t.TypeC<{
    src: t.StringC;
    config_width: t.NumberC;
    config_height: t.NumberC;
}>>;
export declare const EdgeMediaToCaptionNode: t.TypeC<{
    text: t.UnionC<[t.StringC, t.UndefinedC]>;
    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
        src: t.StringC;
        config_width: t.NumberC;
        config_height: t.NumberC;
    }>>, t.UndefinedC]>;
}>;
export declare const EdgeMediaToCaption: t.TypeC<{
    edges: t.ArrayC<t.TypeC<{
        node: t.TypeC<{
            text: t.UnionC<[t.StringC, t.UndefinedC]>;
            shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
            is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
            video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
            display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                src: t.StringC;
                config_width: t.NumberC;
                config_height: t.NumberC;
            }>>, t.UndefinedC]>;
        }>;
    }>>;
}>;
export declare const EdgeMediaToComment: t.TypeC<{
    count: t.NumberC;
}>;
export declare const GatingInfo: t.TypeC<{
    buttons: t.ArrayC<t.StringC>;
    description: t.StringC;
    gating_type: t.StringC;
    title: t.StringC;
}>;
export declare const PostNode: t.TypeC<{
    __typename: t.UnionC<[t.StringC, t.UndefinedC]>;
    comments_disabled: t.BooleanC;
    location: t.UnionC<[t.NullC, t.UndefinedC, t.TypeC<{
        id: t.StringC;
        has_public_page: t.BooleanC;
        name: t.StringC;
        slug: t.StringC;
        address_json: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
    }>]>;
    id: t.StringC;
    edge_media_to_caption: t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>;
    shortcode: t.StringC;
    edge_media_to_comment: t.TypeC<{
        count: t.NumberC;
    }>;
    taken_at_timestamp: t.NumberC;
    fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
    fact_check_overall_rating: t.UnionC<[t.UndefinedC, t.NullC]>;
    dimensions: t.TypeC<{
        height: t.NumberC;
        width: t.NumberC;
    }>;
    display_url: t.StringC;
    edge_liked_by: t.UnionC<[t.TypeC<{
        count: t.NumberC;
    }>, t.UndefinedC]>;
    edge_media_preview_like: t.TypeC<{
        count: t.NumberC;
    }>;
    owner: t.TypeC<{
        id: t.StringC;
    }>;
    thumbnail_src: t.StringC;
    thumbnail_resources: t.UnionC<[t.ArrayC<t.TypeC<{
        src: t.StringC;
        config_width: t.NumberC;
        config_height: t.NumberC;
    }>>, t.UndefinedC]>;
    is_video: t.BooleanC;
    accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
        src: t.StringC;
        config_width: t.NumberC;
        config_height: t.NumberC;
    }>>, t.UndefinedC]>;
    should_log_client_event: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    tracking_token: t.UnionC<[t.UndefinedC, t.StringC]>;
    edge_media_to_tagged_user: t.UnionC<[t.UndefinedC, t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>]>;
    edge_media_to_sponsor_user: t.UnionC<[t.UndefinedC, t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>]>;
    dash_info: t.UnionC<[t.UndefinedC, t.TypeC<{
        is_dash_eligible: t.BooleanC;
        video_dash_manifest: t.NullC;
        number_of_qualities: t.NumberC;
    }>]>;
    video_url: t.UnionC<[t.UndefinedC, t.StringC]>;
    video_view_count: t.UnionC<[t.UndefinedC, t.NumberC]>;
    gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
    media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
    viewer_has_liked: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    viewer_has_saved: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    viewer_has_saved_to_collection: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    viewer_in_photo_of_you: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    viewer_can_reshare: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    edge_sidecar_to_children: t.UnionC<[t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                __typename: t.StringC;
                id: t.StringC;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                dimensions: t.TypeC<{
                    height: t.NumberC;
                    width: t.NumberC;
                }>;
                gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
                fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
                media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
                display_url: t.StringC;
                display_resources: t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>;
                accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
                is_video: t.BooleanC;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                tracking_token: t.StringC;
                edge_media_to_tagged_user: t.TypeC<{
                    edges: t.ArrayC<t.TypeC<{
                        node: t.TypeC<{
                            text: t.UnionC<[t.StringC, t.UndefinedC]>;
                            shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                            is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                            video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                            display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                                src: t.StringC;
                                config_width: t.NumberC;
                                config_height: t.NumberC;
                            }>>, t.UndefinedC]>;
                        }>;
                    }>>;
                }>;
            }>;
        }>>;
    }>, t.UndefinedC]>;
}>;
export declare const CommentNode: t.TypeC<{
    id: t.StringC;
    text: t.StringC;
    created_at: t.NumberC;
    did_report_as_spam: t.BooleanC;
    owner: t.TypeC<{
        id: t.StringC;
        is_verified: t.BooleanC;
        profile_pic_url: t.StringC;
        username: t.StringC;
    }>;
    viewer_has_liked: t.BooleanC;
    edge_liked_by: t.TypeC<{
        count: t.NumberC;
    }>;
}>;
export declare const EdgeMediaPreviewComment: t.TypeC<{
    count: t.NumberC;
    edges: t.ArrayC<t.TypeC<{
        node: t.TypeC<{
            id: t.StringC;
            text: t.StringC;
            created_at: t.NumberC;
            did_report_as_spam: t.BooleanC;
            owner: t.TypeC<{
                id: t.StringC;
                is_verified: t.BooleanC;
                profile_pic_url: t.StringC;
                username: t.StringC;
            }>;
            viewer_has_liked: t.BooleanC;
            edge_liked_by: t.TypeC<{
                count: t.NumberC;
            }>;
        }>;
    }>>;
}>;
export declare const Post: t.TypeC<{
    node: t.TypeC<{
        __typename: t.UnionC<[t.StringC, t.UndefinedC]>;
        comments_disabled: t.BooleanC;
        location: t.UnionC<[t.NullC, t.UndefinedC, t.TypeC<{
            id: t.StringC;
            has_public_page: t.BooleanC;
            name: t.StringC;
            slug: t.StringC;
            address_json: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
        }>]>;
        id: t.StringC;
        edge_media_to_caption: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        shortcode: t.StringC;
        edge_media_to_comment: t.TypeC<{
            count: t.NumberC;
        }>;
        taken_at_timestamp: t.NumberC;
        fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
        fact_check_overall_rating: t.UnionC<[t.UndefinedC, t.NullC]>;
        dimensions: t.TypeC<{
            height: t.NumberC;
            width: t.NumberC;
        }>;
        display_url: t.StringC;
        edge_liked_by: t.UnionC<[t.TypeC<{
            count: t.NumberC;
        }>, t.UndefinedC]>;
        edge_media_preview_like: t.TypeC<{
            count: t.NumberC;
        }>;
        owner: t.TypeC<{
            id: t.StringC;
        }>;
        thumbnail_src: t.StringC;
        thumbnail_resources: t.UnionC<[t.ArrayC<t.TypeC<{
            src: t.StringC;
            config_width: t.NumberC;
            config_height: t.NumberC;
        }>>, t.UndefinedC]>;
        is_video: t.BooleanC;
        accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
        display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
            src: t.StringC;
            config_width: t.NumberC;
            config_height: t.NumberC;
        }>>, t.UndefinedC]>;
        should_log_client_event: t.UnionC<[t.UndefinedC, t.BooleanC]>;
        tracking_token: t.UnionC<[t.UndefinedC, t.StringC]>;
        edge_media_to_tagged_user: t.UnionC<[t.UndefinedC, t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>]>;
        edge_media_to_sponsor_user: t.UnionC<[t.UndefinedC, t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>]>;
        dash_info: t.UnionC<[t.UndefinedC, t.TypeC<{
            is_dash_eligible: t.BooleanC;
            video_dash_manifest: t.NullC;
            number_of_qualities: t.NumberC;
        }>]>;
        video_url: t.UnionC<[t.UndefinedC, t.StringC]>;
        video_view_count: t.UnionC<[t.UndefinedC, t.NumberC]>;
        gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
        media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
        viewer_has_liked: t.UnionC<[t.UndefinedC, t.BooleanC]>;
        viewer_has_saved: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        viewer_has_saved_to_collection: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        viewer_in_photo_of_you: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        viewer_can_reshare: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        edge_sidecar_to_children: t.UnionC<[t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    __typename: t.StringC;
                    id: t.StringC;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    dimensions: t.TypeC<{
                        height: t.NumberC;
                        width: t.NumberC;
                    }>;
                    gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
                    fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
                    media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
                    display_url: t.StringC;
                    display_resources: t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>;
                    accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
                    is_video: t.BooleanC;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    tracking_token: t.StringC;
                    edge_media_to_tagged_user: t.TypeC<{
                        edges: t.ArrayC<t.TypeC<{
                            node: t.TypeC<{
                                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                                    src: t.StringC;
                                    config_width: t.NumberC;
                                    config_height: t.NumberC;
                                }>>, t.UndefinedC]>;
                            }>;
                        }>>;
                    }>;
                }>;
            }>>;
        }>, t.UndefinedC]>;
    }>;
}>;
export declare const EdgeMediaToParentComment: t.TypeC<{
    count: t.NumberC;
    page_info: t.TypeC<{
        has_next_page: t.BooleanC;
        end_cursor: t.UnionC<[t.StringC, t.NullC]>;
    }>;
    edges: t.ArrayC<t.TypeC<{
        node: t.IntersectionC<[t.TypeC<{
            id: t.StringC;
            text: t.StringC;
            created_at: t.NumberC;
            did_report_as_spam: t.BooleanC;
            owner: t.TypeC<{
                id: t.StringC;
                is_verified: t.BooleanC;
                profile_pic_url: t.StringC;
                username: t.StringC;
            }>;
            viewer_has_liked: t.BooleanC;
            edge_liked_by: t.TypeC<{
                count: t.NumberC;
            }>;
        }>, t.TypeC<{
            edge_threaded_comments: t.TypeC<{
                count: t.NumberC;
                page_info: t.TypeC<{
                    has_next_page: t.BooleanC;
                    end_cursor: t.UnionC<[t.StringC, t.NullC]>;
                }>;
                edges: t.ArrayC<t.TypeC<{
                    node: t.TypeC<{
                        id: t.StringC;
                        text: t.StringC;
                        created_at: t.NumberC;
                        did_report_as_spam: t.BooleanC;
                        owner: t.TypeC<{
                            id: t.StringC;
                            is_verified: t.BooleanC;
                            profile_pic_url: t.StringC;
                            username: t.StringC;
                        }>;
                        viewer_has_liked: t.BooleanC;
                        edge_liked_by: t.TypeC<{
                            count: t.NumberC;
                        }>;
                    }>;
                }>>;
            }>;
        }>]>;
    }>>;
}>;
export declare const ShortcodeMedia: t.TypeC<{
    __typename: t.StringC;
    id: t.StringC;
    shortcode: t.StringC;
    edge_media_to_comment: t.UnionC<[t.TypeC<{
        count: t.NumberC;
    }>, t.UndefinedC]>;
    thumbnail_src: t.UnionC<[t.UndefinedC, t.StringC]>;
    dimensions: t.TypeC<{
        height: t.NumberC;
        width: t.NumberC;
    }>;
    gating_info: t.UnionC<[t.TypeC<{
        buttons: t.ArrayC<t.StringC>;
        description: t.StringC;
        gating_type: t.StringC;
        title: t.StringC;
    }>, t.NullC, t.UndefinedC]>;
    fact_check_information: t.NullC;
    fact_check_overall_rating: t.UnionC<[t.UndefinedC, t.NullC]>;
    media_preview: t.UnionC<[t.StringC, t.NullC]>;
    display_url: t.StringC;
    display_resources: t.ArrayC<t.TypeC<{
        src: t.StringC;
        config_width: t.NumberC;
        config_height: t.NumberC;
    }>>;
    accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC]>;
    is_video: t.BooleanC;
    should_log_client_event: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    tracking_token: t.StringC;
    edge_media_to_tagged_user: t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>;
    edge_media_to_caption: t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>;
    caption_is_edited: t.BooleanC;
    has_ranked_comments: t.BooleanC;
    edge_media_to_parent_comment: t.UnionC<[t.TypeC<{
        count: t.NumberC;
        page_info: t.TypeC<{
            has_next_page: t.BooleanC;
            end_cursor: t.UnionC<[t.StringC, t.NullC]>;
        }>;
        edges: t.ArrayC<t.TypeC<{
            node: t.IntersectionC<[t.TypeC<{
                id: t.StringC;
                text: t.StringC;
                created_at: t.NumberC;
                did_report_as_spam: t.BooleanC;
                owner: t.TypeC<{
                    id: t.StringC;
                    is_verified: t.BooleanC;
                    profile_pic_url: t.StringC;
                    username: t.StringC;
                }>;
                viewer_has_liked: t.BooleanC;
                edge_liked_by: t.TypeC<{
                    count: t.NumberC;
                }>;
            }>, t.TypeC<{
                edge_threaded_comments: t.TypeC<{
                    count: t.NumberC;
                    page_info: t.TypeC<{
                        has_next_page: t.BooleanC;
                        end_cursor: t.UnionC<[t.StringC, t.NullC]>;
                    }>;
                    edges: t.ArrayC<t.TypeC<{
                        node: t.TypeC<{
                            id: t.StringC;
                            text: t.StringC;
                            created_at: t.NumberC;
                            did_report_as_spam: t.BooleanC;
                            owner: t.TypeC<{
                                id: t.StringC;
                                is_verified: t.BooleanC;
                                profile_pic_url: t.StringC;
                                username: t.StringC;
                            }>;
                            viewer_has_liked: t.BooleanC;
                            edge_liked_by: t.TypeC<{
                                count: t.NumberC;
                            }>;
                        }>;
                    }>>;
                }>;
            }>]>;
        }>>;
    }>, t.UndefinedC]>;
    edge_media_preview_comment: t.UnionC<[t.TypeC<{
        count: t.NumberC;
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                id: t.StringC;
                text: t.StringC;
                created_at: t.NumberC;
                did_report_as_spam: t.BooleanC;
                owner: t.TypeC<{
                    id: t.StringC;
                    is_verified: t.BooleanC;
                    profile_pic_url: t.StringC;
                    username: t.StringC;
                }>;
                viewer_has_liked: t.BooleanC;
                edge_liked_by: t.TypeC<{
                    count: t.NumberC;
                }>;
            }>;
        }>>;
    }>, t.UndefinedC]>;
    comments_disabled: t.BooleanC;
    taken_at_timestamp: t.NumberC;
    edge_media_preview_like: t.TypeC<{
        count: t.NumberC;
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                id: t.StringC;
                text: t.StringC;
                created_at: t.NumberC;
                did_report_as_spam: t.BooleanC;
                owner: t.TypeC<{
                    id: t.StringC;
                    is_verified: t.BooleanC;
                    profile_pic_url: t.StringC;
                    username: t.StringC;
                }>;
                viewer_has_liked: t.BooleanC;
                edge_liked_by: t.TypeC<{
                    count: t.NumberC;
                }>;
            }>;
        }>>;
    }>;
    edge_media_to_sponsor_user: t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>;
    location: t.UnionC<[t.StringC, t.NullC]>;
    viewer_has_liked: t.BooleanC;
    viewer_has_saved: t.BooleanC;
    viewer_has_saved_to_collection: t.BooleanC;
    viewer_in_photo_of_you: t.BooleanC;
    viewer_can_reshare: t.BooleanC;
    owner: t.TypeC<{
        id: t.StringC;
        is_verified: t.BooleanC;
        profile_pic_url: t.StringC;
        username: t.StringC;
        blocked_by_viewer: t.BooleanC;
        followed_by_viewer: t.BooleanC;
        full_name: t.StringC;
        has_blocked_viewer: t.BooleanC;
        is_private: t.BooleanC;
        is_unpublished: t.BooleanC;
        requested_by_viewer: t.BooleanC;
    }>;
    is_ad: t.BooleanC;
    edge_web_media_to_related_media: t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>, t.UndefinedC]>;
            }>;
        }>>;
    }>;
    edge_sidecar_to_children: t.UnionC<[t.TypeC<{
        edges: t.ArrayC<t.TypeC<{
            node: t.TypeC<{
                __typename: t.StringC;
                id: t.StringC;
                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                dimensions: t.TypeC<{
                    height: t.NumberC;
                    width: t.NumberC;
                }>;
                gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
                fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
                media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
                display_url: t.StringC;
                display_resources: t.ArrayC<t.TypeC<{
                    src: t.StringC;
                    config_width: t.NumberC;
                    config_height: t.NumberC;
                }>>;
                accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
                is_video: t.BooleanC;
                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                tracking_token: t.StringC;
                edge_media_to_tagged_user: t.TypeC<{
                    edges: t.ArrayC<t.TypeC<{
                        node: t.TypeC<{
                            text: t.UnionC<[t.StringC, t.UndefinedC]>;
                            shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                            is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                            video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                            display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                                src: t.StringC;
                                config_width: t.NumberC;
                                config_height: t.NumberC;
                            }>>, t.UndefinedC]>;
                        }>;
                    }>>;
                }>;
            }>;
        }>>;
    }>, t.UndefinedC]>;
    dash_info: t.UnionC<[t.UndefinedC, t.TypeC<{
        is_dash_eligible: t.BooleanC;
        video_dash_manifest: t.NullC;
        number_of_qualities: t.NumberC;
    }>]>;
    video_url: t.UnionC<[t.UndefinedC, t.StringC]>;
    video_view_count: t.UnionC<[t.UndefinedC, t.NumberC]>;
    encoding_status: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
    is_published: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    product_type: t.UnionC<[t.UndefinedC, t.StringC]>;
    title: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
    video_duration: t.UnionC<[t.UndefinedC, t.NumberC]>;
}>;
export declare const SinglePost: t.TypeC<{
    shortcode_media: t.TypeC<{
        __typename: t.StringC;
        id: t.StringC;
        shortcode: t.StringC;
        edge_media_to_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
        }>, t.UndefinedC]>;
        thumbnail_src: t.UnionC<[t.UndefinedC, t.StringC]>;
        dimensions: t.TypeC<{
            height: t.NumberC;
            width: t.NumberC;
        }>;
        gating_info: t.UnionC<[t.TypeC<{
            buttons: t.ArrayC<t.StringC>;
            description: t.StringC;
            gating_type: t.StringC;
            title: t.StringC;
        }>, t.NullC, t.UndefinedC]>;
        fact_check_information: t.NullC;
        fact_check_overall_rating: t.UnionC<[t.UndefinedC, t.NullC]>;
        media_preview: t.UnionC<[t.StringC, t.NullC]>;
        display_url: t.StringC;
        display_resources: t.ArrayC<t.TypeC<{
            src: t.StringC;
            config_width: t.NumberC;
            config_height: t.NumberC;
        }>>;
        accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC]>;
        is_video: t.BooleanC;
        should_log_client_event: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        tracking_token: t.StringC;
        edge_media_to_tagged_user: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        edge_media_to_caption: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        caption_is_edited: t.BooleanC;
        has_ranked_comments: t.BooleanC;
        edge_media_to_parent_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
            page_info: t.TypeC<{
                has_next_page: t.BooleanC;
                end_cursor: t.UnionC<[t.StringC, t.NullC]>;
            }>;
            edges: t.ArrayC<t.TypeC<{
                node: t.IntersectionC<[t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>, t.TypeC<{
                    edge_threaded_comments: t.TypeC<{
                        count: t.NumberC;
                        page_info: t.TypeC<{
                            has_next_page: t.BooleanC;
                            end_cursor: t.UnionC<[t.StringC, t.NullC]>;
                        }>;
                        edges: t.ArrayC<t.TypeC<{
                            node: t.TypeC<{
                                id: t.StringC;
                                text: t.StringC;
                                created_at: t.NumberC;
                                did_report_as_spam: t.BooleanC;
                                owner: t.TypeC<{
                                    id: t.StringC;
                                    is_verified: t.BooleanC;
                                    profile_pic_url: t.StringC;
                                    username: t.StringC;
                                }>;
                                viewer_has_liked: t.BooleanC;
                                edge_liked_by: t.TypeC<{
                                    count: t.NumberC;
                                }>;
                            }>;
                        }>>;
                    }>;
                }>]>;
            }>>;
        }>, t.UndefinedC]>;
        edge_media_preview_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>;
            }>>;
        }>, t.UndefinedC]>;
        comments_disabled: t.BooleanC;
        taken_at_timestamp: t.NumberC;
        edge_media_preview_like: t.TypeC<{
            count: t.NumberC;
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>;
            }>>;
        }>;
        edge_media_to_sponsor_user: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        location: t.UnionC<[t.StringC, t.NullC]>;
        viewer_has_liked: t.BooleanC;
        viewer_has_saved: t.BooleanC;
        viewer_has_saved_to_collection: t.BooleanC;
        viewer_in_photo_of_you: t.BooleanC;
        viewer_can_reshare: t.BooleanC;
        owner: t.TypeC<{
            id: t.StringC;
            is_verified: t.BooleanC;
            profile_pic_url: t.StringC;
            username: t.StringC;
            blocked_by_viewer: t.BooleanC;
            followed_by_viewer: t.BooleanC;
            full_name: t.StringC;
            has_blocked_viewer: t.BooleanC;
            is_private: t.BooleanC;
            is_unpublished: t.BooleanC;
            requested_by_viewer: t.BooleanC;
        }>;
        is_ad: t.BooleanC;
        edge_web_media_to_related_media: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        edge_sidecar_to_children: t.UnionC<[t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    __typename: t.StringC;
                    id: t.StringC;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    dimensions: t.TypeC<{
                        height: t.NumberC;
                        width: t.NumberC;
                    }>;
                    gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
                    fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
                    media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
                    display_url: t.StringC;
                    display_resources: t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>;
                    accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
                    is_video: t.BooleanC;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    tracking_token: t.StringC;
                    edge_media_to_tagged_user: t.TypeC<{
                        edges: t.ArrayC<t.TypeC<{
                            node: t.TypeC<{
                                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                                    src: t.StringC;
                                    config_width: t.NumberC;
                                    config_height: t.NumberC;
                                }>>, t.UndefinedC]>;
                            }>;
                        }>>;
                    }>;
                }>;
            }>>;
        }>, t.UndefinedC]>;
        dash_info: t.UnionC<[t.UndefinedC, t.TypeC<{
            is_dash_eligible: t.BooleanC;
            video_dash_manifest: t.NullC;
            number_of_qualities: t.NumberC;
        }>]>;
        video_url: t.UnionC<[t.UndefinedC, t.StringC]>;
        video_view_count: t.UnionC<[t.UndefinedC, t.NumberC]>;
        encoding_status: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
        is_published: t.UnionC<[t.UndefinedC, t.BooleanC]>;
        product_type: t.UnionC<[t.UndefinedC, t.StringC]>;
        title: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
        video_duration: t.UnionC<[t.UndefinedC, t.NumberC]>;
    }>;
}>;
export declare const FullApiPost: t.TypeC<{
    shortcode_media: t.TypeC<{
        location: t.UnionC<[t.TypeC<{
            id: t.StringC;
            has_public_page: t.BooleanC;
            name: t.StringC;
            slug: t.StringC;
            address_json: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
        }>, t.NullC]>;
        __typename: t.StringC;
        id: t.StringC;
        shortcode: t.StringC;
        edge_media_to_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
        }>, t.UndefinedC]>;
        thumbnail_src: t.UnionC<[t.UndefinedC, t.StringC]>;
        dimensions: t.TypeC<{
            height: t.NumberC;
            width: t.NumberC;
        }>;
        gating_info: t.UnionC<[t.TypeC<{
            buttons: t.ArrayC<t.StringC>;
            description: t.StringC;
            gating_type: t.StringC;
            title: t.StringC;
        }>, t.NullC, t.UndefinedC]>;
        fact_check_information: t.NullC;
        fact_check_overall_rating: t.UnionC<[t.UndefinedC, t.NullC]>;
        media_preview: t.UnionC<[t.StringC, t.NullC]>;
        display_url: t.StringC;
        display_resources: t.ArrayC<t.TypeC<{
            src: t.StringC;
            config_width: t.NumberC;
            config_height: t.NumberC;
        }>>;
        accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC]>;
        is_video: t.BooleanC;
        should_log_client_event: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        tracking_token: t.StringC;
        edge_media_to_tagged_user: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        edge_media_to_caption: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        caption_is_edited: t.BooleanC;
        has_ranked_comments: t.BooleanC;
        edge_media_to_parent_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
            page_info: t.TypeC<{
                has_next_page: t.BooleanC;
                end_cursor: t.UnionC<[t.StringC, t.NullC]>;
            }>;
            edges: t.ArrayC<t.TypeC<{
                node: t.IntersectionC<[t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>, t.TypeC<{
                    edge_threaded_comments: t.TypeC<{
                        count: t.NumberC;
                        page_info: t.TypeC<{
                            has_next_page: t.BooleanC;
                            end_cursor: t.UnionC<[t.StringC, t.NullC]>;
                        }>;
                        edges: t.ArrayC<t.TypeC<{
                            node: t.TypeC<{
                                id: t.StringC;
                                text: t.StringC;
                                created_at: t.NumberC;
                                did_report_as_spam: t.BooleanC;
                                owner: t.TypeC<{
                                    id: t.StringC;
                                    is_verified: t.BooleanC;
                                    profile_pic_url: t.StringC;
                                    username: t.StringC;
                                }>;
                                viewer_has_liked: t.BooleanC;
                                edge_liked_by: t.TypeC<{
                                    count: t.NumberC;
                                }>;
                            }>;
                        }>>;
                    }>;
                }>]>;
            }>>;
        }>, t.UndefinedC]>;
        edge_media_preview_comment: t.UnionC<[t.TypeC<{
            count: t.NumberC;
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>;
            }>>;
        }>, t.UndefinedC]>;
        comments_disabled: t.BooleanC;
        taken_at_timestamp: t.NumberC;
        edge_media_preview_like: t.TypeC<{
            count: t.NumberC;
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    id: t.StringC;
                    text: t.StringC;
                    created_at: t.NumberC;
                    did_report_as_spam: t.BooleanC;
                    owner: t.TypeC<{
                        id: t.StringC;
                        is_verified: t.BooleanC;
                        profile_pic_url: t.StringC;
                        username: t.StringC;
                    }>;
                    viewer_has_liked: t.BooleanC;
                    edge_liked_by: t.TypeC<{
                        count: t.NumberC;
                    }>;
                }>;
            }>>;
        }>;
        edge_media_to_sponsor_user: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        viewer_has_liked: t.BooleanC;
        viewer_has_saved: t.BooleanC;
        viewer_has_saved_to_collection: t.BooleanC;
        viewer_in_photo_of_you: t.BooleanC;
        viewer_can_reshare: t.BooleanC;
        owner: t.TypeC<{
            id: t.StringC;
            is_verified: t.BooleanC;
            profile_pic_url: t.StringC;
            username: t.StringC;
            blocked_by_viewer: t.BooleanC;
            followed_by_viewer: t.BooleanC;
            full_name: t.StringC;
            has_blocked_viewer: t.BooleanC;
            is_private: t.BooleanC;
            is_unpublished: t.BooleanC;
            requested_by_viewer: t.BooleanC;
        }>;
        is_ad: t.BooleanC;
        edge_web_media_to_related_media: t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    text: t.UnionC<[t.StringC, t.UndefinedC]>;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>, t.UndefinedC]>;
                }>;
            }>>;
        }>;
        edge_sidecar_to_children: t.UnionC<[t.TypeC<{
            edges: t.ArrayC<t.TypeC<{
                node: t.TypeC<{
                    __typename: t.StringC;
                    id: t.StringC;
                    shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                    dimensions: t.TypeC<{
                        height: t.NumberC;
                        width: t.NumberC;
                    }>;
                    gating_info: t.UnionC<[t.NullC, t.UndefinedC]>;
                    fact_check_information: t.UnionC<[t.NullC, t.UndefinedC]>;
                    media_preview: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
                    display_url: t.StringC;
                    display_resources: t.ArrayC<t.TypeC<{
                        src: t.StringC;
                        config_width: t.NumberC;
                        config_height: t.NumberC;
                    }>>;
                    accessibility_caption: t.UnionC<[t.StringC, t.UndefinedC, t.NullC]>;
                    is_video: t.BooleanC;
                    video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                    tracking_token: t.StringC;
                    edge_media_to_tagged_user: t.TypeC<{
                        edges: t.ArrayC<t.TypeC<{
                            node: t.TypeC<{
                                text: t.UnionC<[t.StringC, t.UndefinedC]>;
                                shortcode: t.UnionC<[t.StringC, t.UndefinedC]>;
                                is_video: t.UnionC<[t.BooleanC, t.UndefinedC]>;
                                video_url: t.UnionC<[t.StringC, t.UndefinedC]>;
                                display_resources: t.UnionC<[t.ArrayC<t.TypeC<{
                                    src: t.StringC;
                                    config_width: t.NumberC;
                                    config_height: t.NumberC;
                                }>>, t.UndefinedC]>;
                            }>;
                        }>>;
                    }>;
                }>;
            }>>;
        }>, t.UndefinedC]>;
        dash_info: t.UnionC<[t.UndefinedC, t.TypeC<{
            is_dash_eligible: t.BooleanC;
            video_dash_manifest: t.NullC;
            number_of_qualities: t.NumberC;
        }>]>;
        video_url: t.UnionC<[t.UndefinedC, t.StringC]>;
        video_view_count: t.UnionC<[t.UndefinedC, t.NumberC]>;
        encoding_status: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
        is_published: t.UnionC<[t.UndefinedC, t.BooleanC]>;
        product_type: t.UnionC<[t.UndefinedC, t.StringC]>;
        title: t.UnionC<[t.UndefinedC, t.StringC, t.NullC]>;
        video_duration: t.UnionC<[t.UndefinedC, t.NumberC]>;
    }>;
}>;
export declare type TPost = t.TypeOf<typeof Post>;
export declare type TSinglePost = t.TypeOf<typeof SinglePost>;
export declare type TFullApiPost = t.TypeOf<typeof FullApiPost>;
