import * as winston from "winston";
interface IDownload {
    directory: string;
    logger: winston.Logger;
}
/**
 * Download file
 * @param url The URL of the file
 * @param name The name used to identify the file
 * @param extension The file extension (eg. ".jpg" or ".mp4")
 */
export declare function download(this: IDownload, url: string, name: string, extension: string): Promise<void>;
/**
 * Save list of posts to a CSV file
 */
export declare function toCSV(posts: object[], filePath: string): Promise<void>;
/**
 * Save list of posts to a JSON file
 */
export declare function toJSON(posts: object[], filePath: string): Promise<void>;
export {};
